This endpoint voids the remaining openToCapture amount of the payment auth, and refunds the customer.
To make a partial void, specify an amount in the request body.
This operation is idempotent based on the requestId (if provided), which allows for the safe retry of multiple requests, guaranteeing the payment operation is only made once.
Connection Timeouts
Basic authentication of the form Basic <base64(username:password)>.
The unique ID of the Afterpay Order, returned as the id property of the Auth response.
Can be passed in void requests to conditionally modify wording of the corresponding customer refund email. This can be set to 1 of 3 values, cancelledItems, amountAdjustment or null
is the merchant’s order id/reference that the payment corresponds to.
If successful, returns an updated copy of the Payment object.